package com.ruoyi.interfaces.domain;

public class SysCate {
    private String cateCode;

    private String catePcode;

    private String cateTable;

    private String cateName;

    private String cateDesc;

    private Integer cateSeq;

    private String cateStatus;

    private Integer num;

    public String getCateCode() {
        return cateCode;
    }

    public void setCateCode(String cateCode) {
        this.cateCode = cateCode == null ? null : cateCode.trim();
    }

    public String getCatePcode() {
        return catePcode;
    }

    public void setCatePcode(String catePcode) {
        this.catePcode = catePcode == null ? null : catePcode.trim();
    }

    public String getCateTable() {
        return cateTable;
    }

    public void setCateTable(String cateTable) {
        this.cateTable = cateTable == null ? null : cateTable.trim();
    }

    public String getCateName() {
        return cateName;
    }

    public void setCateName(String cateName) {
        this.cateName = cateName == null ? null : cateName.trim();
    }

    public String getCateDesc() {
        return cateDesc;
    }

    public void setCateDesc(String cateDesc) {
        this.cateDesc = cateDesc == null ? null : cateDesc.trim();
    }

    public Integer getCateSeq() {
        return cateSeq;
    }

    public void setCateSeq(Integer cateSeq) {
        this.cateSeq = cateSeq;
    }

    public String getCateStatus() {
        return cateStatus;
    }

    public void setCateStatus(String cateStatus) {
        this.cateStatus = cateStatus;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public SysCate() {
    }

    public SysCate(String cateCode, String catePcode, String cateTable, String cateName, String cateDesc, Integer cateSeq, String cateStatus) {
        this.cateCode = cateCode;
        this.catePcode = catePcode;
        this.cateTable = cateTable;
        this.cateName = cateName;
        this.cateDesc = cateDesc;
        this.cateSeq = cateSeq;
        this.cateStatus = cateStatus;
    }

    @Override
    public String toString() {
        return "SysCate{" +
                "cateCode='" + cateCode + '\'' +
                ", catePcode='" + catePcode + '\'' +
                ", cateTable='" + cateTable + '\'' +
                ", cateName='" + cateName + '\'' +
                ", cateDesc='" + cateDesc + '\'' +
                ", cateSeq=" + cateSeq +
                ", cateStatus=" + cateStatus +
                '}';
    }

    public SysCate(String cateCode, String catePcode, String cateName) {
        this.cateCode = cateCode;
        this.catePcode = catePcode;
        this.cateName = cateName;
    }
}

